## espa-nol 1.7

=== Makefile ===
#
# $Id: Makefile,v 1.6 1994/02/07 06:07:57 geoff Exp $
#
# Copyright 1993, Geoff Kuenning, Granada Hills, CA
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
# 3. All modifications to the source code must be clearly marked as
#    such.  Binary redistributions based on modified source code
#    must be clearly marked as modified versions in the documentation
#    and/or other materials provided with the distribution.
# 4. All advertising materials mentioning features or use of this software
#    must display the following acknowledgment:
#      This product includes software developed by Geoff Kuenning and
#      other unpaid contributors.
# 5. The name of Geoff Kuenning may not be used to endorse or promote
#    products derived from this software without specific prior
#    written permission.
#
# THIS SOFTWARE IS PROVIDED BY GEOFF KUENNING AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL GEOFF KUENNING OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
# This makefile is an example of how you might write a makefile for a
# simple language which has only a single dictionary available.  For
# an example of a complex makefile, look at the makefile for English.
#
# $Log: Makefile,v $
# Revision 1.6  1994/02/07  06:07:57  geoff
# Add a dummy else clause to shell if-test for Ultrix
#
# Revision 1.5  1994/01/25  07:12:44  geoff
# Get rid of all old RCS log lines in preparation for the 3.1 release.
#
#

SHELL = /bin/sh
MAKE = make

PATHADDER	=	../..
BUILDHASH	=	buildhash
UNSQ		=	unsq
FIX8BIT		=	fix8bit

#
# The following variables make it easy to adapt this Makefile to
# numerous languages.
#
LANGUAGE	=	espa~nol
DICTIONARY	=	$(LANGUAGE).words $(LANGUAGE).comp
HASHFILE	=	$(LANGUAGE).hash

#
# The following variables may be overridden by the superior Makefile,
# based on the LANGUAGES variable in config.X.
#
AFFIXES	=	./$(LANGUAGE).aff

all:	$(HASHFILE)

e~ne:
	sh e~nes

$(HASHFILE):	$(AFFIXES) $(DICTIONARY)
	rm -f $(HASHFILE)
	munchlist -v -l $(AFFIXES) $(DICTIONARY) > $(LANGUAGE).words+
	$(BUILDHASH) $(LANGUAGE).words+ $(AFFIXES) $(HASHFILE)

build:
	$(BUILDHASH) -s $(LANGUAGE).words+ $(AFFIXES) $(HASHFILE)

install:
	./posti $(LANGUAGE)

$(LANGUAGE)-alt.aff:	$(LANGUAGE)-alt.7bit $(FIX8BIT)
	$(FIX8BIT) -8 < $(LANGUAGE)-alt.7bit > $(LANGUAGE)-alt.aff

#
#	The following dependency can be executed when ispell is unpacked,
#	to unpack the dictionaries.
#
unpack:	$(AFFIXES)

$(UNSQ):
	set +e; \
	if [ ! -x $(UNSQ) ]; \
	then \
	    set -e; \
	    cd ../..; \
	    $(MAKE) unsq; \
	else \
	    : ; \
	fi

clean:
	rm -f core *.hash *.stat *.cnt

#
#	The following target is used in the English makefile, and is
#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
kitclean:

#
#	The following target is used in the English makefile, and is
#	required to be present in all other language Makefiles as
#	well, even though it doesn't have to do anything in those
#	directories.
#
dictclean:

## espa-nol 1.11

=== Makefile ===
--- 
+++ 
@@ -63,7 +63,7 @@
 # numerous languages.
 #
 LANGUAGE	=	espa~nol
-DICTIONARY	=	$(LANGUAGE).words $(LANGUAGE).comp
+DICTIONARY	=	$(LANGUAGE).words $(LANGUAGE).comp $(LANGUAGE).nofl
 HASHFILE	=	$(LANGUAGE).hash
 
 #

=== debian/changelog ===
espa-nol (1.11-21) unstable; urgency=medium

  * debian/control:
    - Update myspell-es Suggests.
    - Bump Standards-Version to 4.7.2. No changes.
    - Remove ancient quilt Build-Dep.
  * Update some lintian overrides.
  * debian/watch: Upgrade to version 5.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 13 Oct 2025 11:06:50 +0200

espa-nol (1.11-20) unstable; urgency=medium

  * Enable creation of dictionaries in .bdic format.
  * debian/copyright: Update Debian section year to 2022.
  * Update some lintian overrides to new format.
  * Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 13 Dec 2022 22:49:52 +0100

espa-nol (1.11-19) unstable; urgency=medium

  * debian/rules: fix word count for myspell dict.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 13 Oct 2021 18:28:27 +0200

espa-nol (1.11-18) unstable; urgency=medium

  * Re-add myspell-es symlinks.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 04 Oct 2021 09:34:08 +0200

espa-nol (1.11-17) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Bump debhelper from old 12 to 13.

  [ Agustin Martin Domingo ]
  * Use dh_* sequencer.
  * debian/{LEAME.Debian,README.Debian,README.MySpell_es_ES}: Recode to
    UTF-8.
  * Add some lintian overrides.
  * debian/control:
    - Add Rules-Requires-Root: no.
    - Bump Standards-Version. No changes required.
  * debian/watch: Use https for upstream url.
  * debian/copyright: Make DEP5.
  * debian/ispanish.links: no need to add usr/lib/ispell/espa~nol.hash ->
    var/lib/ispell/espa~nol.hash symlink, it is handled by
    ispell-autobuildhash.

 -- Agustin Martin Domingo <agmartin@debian.org>  Sun, 03 Oct 2021 23:07:48 +0200

espa-nol (1.11-16) unstable; urgency=low

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 28 Dec 2020 17:07:54 +0100

espa-nol (1.11-15.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Fri, 25 Dec 2020 18:09:20 +0100

espa-nol (1.11-15) unstable; urgency=medium

  * debian/control:
    - Update Vcs-Browser and Vcs-Git for salsa migration.
    - Bump Standards-Version. No changes required.
  * Bump debhelper compat level to 11.

 -- Agustin Martin Domingo <agmartin@debian.org>  Fri, 04 May 2018 16:53:15 +0200

espa-nol (1.11-14) unstable; urgency=medium

  * debian/control::myspell-es: Use Conflicts where needed.

 -- Agustin Martin Domingo <agmartin@debian.org>  Tue, 22 Sep 2015 12:29:05 +0200

espa-nol (1.11-13) unstable; urgency=medium

  * debian/control:: myspell-es: Provide hunspell counterparts.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 19:04:49 +0200

espa-nol (1.11-12) unstable; urgency=medium

  * debian/control: Break possible hunspell-es to avoid name collisions.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 21 Sep 2015 15:18:29 +0200

espa-nol (1.11-11) unstable; urgency=medium

  * debian/rules: Make sure build is always done in a reproducible and
    working LC_ALL=C language environment

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 18 Jun 2015 20:19:21 +0200

espa-nol (1.11-10) unstable; urgency=medium

  * debian/rules: Make the build reproducible.
    Thanks Chris Lamb (Closes: #779162).

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 09 Apr 2015 17:29:31 +0200

espa-nol (1.11-9) unstable; urgency=low

  * debian/control:
    - Make aspell-es "Multi-Arch: foreign" (See aspell-en #763892).
    - Update Vcs-Browser to cgit address.
    - Bump Standards-Version. No changes required.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Oct 2014 16:17:32 +0200

espa-nol (1.11-8) unstable; urgency=low

  * Do not ship /var/lib/{a,i}spell dirs nor related symlinks.
  * Rebuild against sid dictionaries-common-dev 1.23.2 to properly clean
    dirs.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 24 Apr 2014 11:31:23 +0200

espa-nol (1.11-7) unstable; urgency=low

  * Rebuild against sid dictionaries-common-dev 1.23.0.
  * debian/rules: Create es.cwl.gz in a single line (LP: #73304).

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 09 Apr 2014 15:35:51 +0200

espa-nol (1.11-6~exp1) experimental; urgency=low

  * Rebuild against experimental dictionaries-common-dev.

 -- Agustin Martin Domingo <agmartin@debian.org>  Thu, 06 Mar 2014 20:09:40 +0100

espa-nol (1.11-5) unstable; urgency=low

  * debian/control:
    - Modify to use dictionaries-common-dev (>= 1.22.0) features:
      + ${ispell:Depends}, ${aspell:Depends}, ${hunspell:Depends}
      + Deal with remove files in debhelper snippet.
    - Bump Standards Version. No changes required.
    - Canonicalize Vcs-* headers.
    - Change versioned Conflicts to Breaks.
  * Add debian/source/format for 3.0 (quilt). Add empty series file.
  * debian/watch: Remove dh_make header.
  * debian/aspell-es.links: Recode to UTF-8.
  * debian/ispanish.postinst: Explicitly use 'set -e'

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 05 Mar 2014 12:36:13 +0100

espa-nol (1.11-4) unstable; urgency=low

  * No longer build depend on obsolete dpatch package.

 -- Agustin Martin Domingo <agmartin@debian.org>  Mon, 06 Feb 2012 19:12:24 +0100

espa-nol (1.11-3) unstable; urgency=low

  * debian/rules:
    - Fix lintian debian-rules-missing-recommended-target build-{arch,indep}.
  * debian/control:
    - Improve myspell-eo suggestions line and add libreoffice.
    - Does not need to provide hunspell dictionary.

 -- Agustin Martin Domingo <agmartin@debian.org>  Wed, 14 Sep 2011 13:28:47 +0200

espa-nol (1.11-2) unstable; urgency=low

  * Build-depend on at least dictionaries-common-dev (>= 1.11.2):
    - Stop calling update-openoffice-dicts (Closes: #628810).


=== debian/control ===
Source: espa-nol
Maintainer: Agustin Martin Domingo <agmartin@debian.org>
Section: text
Priority: optional
Build-Depends: debhelper-compat (= 13)
Build-Depends-Indep: ispell,
                     aspell,
                     dictionaries-common-dev (>= 1.29.0),
		     qt6-webengine-dev-tools  | qtwebengine5-dev-tools,
                     hunspell-tools | myspell-tools | libmyspell-dev (>= 1:3.1-7)
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/agmartin/espa-nol
Vcs-Git: https://salsa.debian.org/agmartin/espa-nol.git
Homepage: https://www.datsi.fi.upm.es/~coes

Package: ispanish
Architecture: all
Depends: ${misc:Depends},
         debconf | debconf-2.0,
         ${ispell:Depends}
Suggests: wspanish
Provides: ispell-dictionary
Description: Spanish dictionary for ispell
 This is the Spanish dictionary for use with the ispell spellchecker.
 Put together by Santiago Rodriguez and Jesus Carretero.

Package: myspell-es
Architecture: all
Depends: ${misc:Depends},
         ${hunspell:Depends}
Suggests: hunspell,
	  libreoffice-core,
	  firefox | firebox-esr | thunderbird
Breaks: openoffice.org (<= 1.0.3-2)
Conflicts: openoffice.org-spellcheck-es,
           hunspell-es
Provides: openoffice.org-spellcheck-es,
          myspell-dictionary,
          myspell-dictionary-es,
          hunspell-dictionary,
          hunspell-dictionary-es,
          hunspell-es
Replaces: openoffice.org-spellcheck-es
Description: Spanish dictionary for myspell
 This is the Spanish dictionary for use with the myspell spellchecker
 which is currently used within OpenOffice.org and the mozilla
 spellchecker. It is based on ispell dictionary put together by
 Santiago Rodriguez and Jesus Carretero.

Package: aspell-es
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
         ${aspell:Depends}
Provides: aspell-dictionary
Description: Spanish dictionary for aspell
 This is the Spanish dictionary for use with the aspell spellchecker.
 It is based on ispell dictionary put together by
 Santiago Rodriguez and Jesus Carretero.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# Make sure build is always done in a reproducible and working
# language environment
LC_ALL = C
export LC_ALL

# Useful only to build aspell official dir
ASPELL6BASENAME = aspell6-es
ASPELL6DIR      = $(CURDIR)/debian/$(ASPELL6BASENAME)
ASPELLPROC      = /usr/share/aspell-lang/proc    # Location of proc script

TMP_BUILD       = tmp-build

LANGUAGE	= espa~nol
ISOLANG		= es
AFFIXES		= ./$(LANGUAGE).aff
OTHERDICTS	= debian/debian.words

%:
	dh $@


override_dh_auto_build:
	mkdir -p $(TMP_BUILD)

	# Create a latin1 version of affix file
	sh -e < debian/aff2latin1 > $(TMP_BUILD)/$(AFFIXES)
	# Munch extra debian words
	munchlist -v -l $(AFFIXES) $(OTHERDICTS) \
		> $(TMP_BUILD)/$(LANGUAGE).otherwords+
	# Merge munched debian words with upstream munched wordlist
	( cat $(LANGUAGE).words+ $(TMP_BUILD)/$(LANGUAGE).otherwords+ && \
		grep  -h -e ^.$$ -e ^./ $(LANGUAGE).words ) | \
		sort | \
		icombine $(AFFIXES) | \
		sed -f debian/orig2latin1.sed \
		> $(TMP_BUILD)/$(LANGUAGE).allwords+.latin1

	gzip -9n -c $(TMP_BUILD)/$(LANGUAGE).allwords+.latin1 \
		> $(TMP_BUILD)/$(LANGUAGE).mwl.gz

	# Create myspell dict
	( echo `cat $(TMP_BUILD)/$(LANGUAGE).allwords+.latin1 | wc -l`; \
		cat $(TMP_BUILD)/$(LANGUAGE).allwords+.latin1 ) \
		> $(TMP_BUILD)/es.dic
	ispellaff2myspell --charset=latin1 \
		--replacements=debian/es_ES.replaces \
		--myheader=debian/es_ES.myheader \
		$(TMP_BUILD)/$(LANGUAGE).aff \
		> $(TMP_BUILD)/es.aff

	# Create aspell compressed cwl file and affix file
	cat $(TMP_BUILD)/$(LANGUAGE).allwords+.latin1 \
		| prezip -s -c | gzip -9n -c \
		> $(TMP_BUILD)/$(ISOLANG).cwl.gz
	cp $(TMP_BUILD)/es.aff $(TMP_BUILD)/es_affix.dat
	echo "add es.rws"    > $(TMP_BUILD)/es.multi
	echo "add es.multi"  > $(TMP_BUILD)/spanish.alias

override_dh_auto_clean:
	rm -rf $(TMP_BUILD)
	rm -f core *.hash *.stat *.cnt *.latin1 *.otherwords+ *~
	if [ -d $(ASPELL6DIR) ]; then \
		rm $(ASPELL6DIR)/* && rmdir $(ASPELL6DIR); fi

	dh_auto_clean

override_dh_auto_install:
	installdeb-ispell   -pispanish
	installdeb-aspell   -paspell-es
	installdeb-hunspell -pmyspell-es
	installdeb-myspell  -pmyspell-es --bdic --srcdir=$(TMP_BUILD)
	dh_installdocs --all README LEAME

# Useful only to build aspell official dir
aspelltgz: clean build
	mkdir -p $(ASPELL6DIR)
	install -m 644 debian/aspell/Copyright $(ASPELL6DIR)
	install -m 644 debian/aspell/info $(ASPELL6DIR)
	install -m 644 /usr/share/common-licenses/GPL $(ASPELL6DIR)/COPYING
	install -m 644 debian/aspell/es.dat $(ASPELL6DIR)
	install -m 644 $(TMP_BUILD)/es_affix.dat $(ASPELL6DIR)
	cat $(TMP_BUILD)/es.dic | sed 1d | LANG=C sort -u > $(ASPELL6DIR)/es.wl
	( cd $(ASPELL6DIR) && \
		ln -sf $(ASPELLPROC) && \
		perl proc && \
		./configure && \
		make dist )
	mv $(ASPELL6DIR)/$(ASPELL6BASENAME)*.tar.bz2 ..

=== debian/watch ===
Version: 5

Source: https://www.datsi.fi.upm.es/~coes/espell_leame.html
Matching-Pattern: /~coes/espa~nol-(.*)\.tar\.gz
